Subject: Re: (i18n.261) NL locale

From: [email-masked] (Keld J|rn Simonsen)
Date: Thu, 4 May 1995 02:39:52 +0200

Johan van Wingen writes:

>  A POSIX Locale for the Netherlands
>  
> The decision was influenced by some rumours that a locale for NL was
> already circulating. When we got a copy at last we discovered that the
> contents had been produced by a Danish firm with which we had never been
> in contact. It goes beyond saying that this caused considerable
> irritation, in particular because several details are in direct conflict
> with national regulations in our country. The worst case is that of the
> character set.

I have been producing the said specification on behalf of my firm.

This specification has been presented as an expert contribution
to CEN/TC304 and referenced there as an example of how a locale could be
done for the Netherlands. A number of Dutch experts have been 
also present at the TC304 meetings discussing locales, so I think
that saying that the Netherlands standards body has never been
in contact with the firm in question would be exaggerating.

We have actually from TC304 invited comments from member bodies,
including NNI, and I have as editor of a CEN standard
and as per CEN/TC304/WG2 action items approached NNI representatives
for comments on the specific locale in question.

I regret that this specific locale has caused irritation to NNI.
The purpose of including the locale in question in official 
TC304 documents has been to provide input to the process 
of creating official national locales, the very process that you are
now starting in NNI. CEN/TC304/WG2 (responsible for locale issues)
has been of the opinion that it would be fruitful if the member
bodies of CEN could cooperate on creating national POSIX locales
and benefit from each others' experience. I hope as editor of
related standards in the field that NNI sees this way of cooperation
as useful and beneficial to them.

>  The recommendation reads that if the hardware/software is supporting an
>  ISO coding system, that is, one in accordance with the ISO 2022
>  structure, it shall use, fitting to the functional needs, characters
>  coded in conformance with one of the following standards:
>  
>  for the basic set:   NEN-ISO/IEC 646
>  for Latin-5:         ISO 8859-9
>  for Teletex:         ISO/IEC 6937
>  
> The "made in Denmark" NL-locale specifies Latin-1 (8859-1).

I have changed the specification to refer 8859-9. Thanks for the comment.

However, this character set specification has no real influence on the
locale specification in question. The locale specification is valid
for a number of other coded character sets, including ISO/IEC 646 and
ISO/IEC 6937. The charmap specification of ISO_8859-1:1987 has just
been used internally for compilation of the locale to test that
the locale is valid.

> Implementers of locales are warned that use of this Danish version could
> make their software unsuitable to government procurement. Should they
> suffer loss of business as a result of having based their product on an
> unofficial locale, a claim for damages to that Danish firm is perfectly
> justified.

By no means the said locale is represented as being an official NNI
contribution, and it should be taken as just another firms'
interpretation of Dutch needs. There are a number of such specifications
around from a number of commercial firms. The Danish firm may be one
of a few companies that provides its information freely, also for
commercial use, on these subjects.

I am happy to hear that there will be an official NNI locale, 
and I would personally recommend everybody to use that specification
for Dutch needs, when it becomes available.

It is also my personal attitude to cooperate as much as possible
with NNI on these issues, as we have done on many other issues.
NNI is very welcome to forward further comments to me or CEN/TC304/WG2
on the subject.

Keld Simonsen